/**
 * 营销广告展位
 */
// @ts-nocheck
import qs from 'qs';
Component({
  data: {
    pluginAppId: '2021002191638959',
    pluginPageUrl: '/group-coupon',
    pluginVersion: '*'
  },

  didMount() {
    this.loadPlugin();
  },

  methods: {
    loadPlugin() {
      const {
        pluginAppId,
        pluginPageUrl,
        pluginVersion
      } = this.data;
      let {
        query = {}
      } = my.getLaunchOptionsSync();
      const pageQuery = this.$page.data.query || {};
      query = { ...query,
        ...pageQuery
      };
      my.loadPlugin({
        plugin: `${pluginAppId}@${pluginVersion}`,
        success: () => {
          const fmcg = query && qs.stringify(query) || '';
          my.reLaunch({
            url: `dynamic-plugin://${pluginAppId}${pluginPageUrl}${fmcg ? `?${fmcg}` : ''}`
          });
        }
      });
    }

  }
});